import java.io.*;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

class ImageDemoCanvas extends Canvas {

    Image image;

    public ImageDemoCanvas () {
	/*
	image = Image.createImage (10,10);
	image.getGraphics ().fillArc (0,0,10,10,0, 360);
	*/
 
	try {
	    image = Image.createImage ("/logo.png");
	}
	catch (IOException e) {
	    throw new RuntimeException ("Unable to load Image: "+e);
	}
    }


    public void paint (Graphics g) {
	g.setGrayScale (255);
	g.fillRect (0, 0, getWidth (), getHeight ());

	g.drawImage (image, 0, 0, Graphics.TOP |  Graphics.LEFT);
	g.drawImage (image, getWidth () / 2, getHeight () / 2, Graphics.HCENTER | Graphics.VCENTER);
	g.drawImage (image, getWidth (), getHeight (), Graphics.BOTTOM | Graphics.RIGHT);
    }
}


public class ImageDemo extends MIDlet {

    public void startApp () {
	Display.getDisplay (this).setCurrent (new ImageDemoCanvas ()); 
    }

    public void pauseApp () {
    }
    
    public void destroyApp (boolean forced) {
    }

}
