import java.awt.*;
import java.awt.event.*;
import javax.microedition.midlet.*;

public class ProgressTest extends MIDlet implements AdjustmentListener {
    
    Frame frame;
    ProgressBar pBar = new ProgressBar();
    Scrollbar sBar = new Scrollbar();

    public ProgressTest() {
        frame = new Frame("ProgressBar Test");
        
        sBar = new Scrollbar (Scrollbar.HORIZONTAL, 0, 10, 0, 100);
        sBar.addAdjustmentListener(this);
        
        frame.add(pBar, BorderLayout.NORTH);
        frame.add(sBar, BorderLayout.SOUTH);
        frame.pack();
    }

    
    public void adjustmentValueChanged(AdjustmentEvent e) {
        pBar.setValue (sBar.getValue());
        pBar.repaint();
    }
    
    public void startApp() {
        frame.show();
    }

    public void pauseApp() {
    }

    public void destroyApp(boolean unconditional) {
        notifyDestroyed();
    }
}
