import java.awt.*;
import java.awt.event.*;
import javax.microedition.midlet.*;

public class ShoppingChart2 extends MIDlet implements ActionListener {
    
    class InsertItemDialog extends Dialog implements ActionListener {
        
        TextField amount = new TextField();
        TextField item = new TextField();
        
        public InsertItemDialog (Frame owner) {
            super (owner, "Insert Item", true);
            
            Panel panel = new Panel (new GridLayout (2, 0));
            panel.add (new Label ("Amount"));
            panel.add (amount);
            panel.add (new Label ("Item"));
            panel.add (item);
            
            add (panel, BorderLayout.CENTER);
            
            Panel buttonPanel = new Panel (new FlowLayout());
            Button b = new Button ("ok");
            b.addActionListener (this);
            buttonPanel.add (b);
            add (buttonPanel, BorderLayout.SOUTH);					
            pack();
        }
        
        public String getAmount () {
            return amount.getText();
        }
        
        public String getItem () {
            return item.getText();
        }

        public void actionPerformed (ActionEvent ae) {
            setVisible (false);
        }
    }
    
    Panel textPanel;
    Frame frame;
    
    public ShoppingChart2() {
        frame = new Frame("Shopping Chart2");
        
        MenuBar menuBar = new MenuBar();
        Menu menu = new Menu ("Items");
        MenuItem insertItem = new MenuItem ("insert");
        insertItem.addActionListener (this);
        menu.add (insertItem);
        menuBar.add (menu);
        frame.setMenuBar (menuBar);

        textPanel = new Panel(new TableLayout (2));
        frame.add (textPanel, BorderLayout.NORTH);
        
        frame.addWindowListener(new WindowAdapter() {
                public void windowClosing (WindowEvent e) {
                    destroyApp(true);
                }
            });
        
        frame.pack();
    }
    
    
    public void actionPerformed(ActionEvent ae) {
        InsertItemDialog dialog = new InsertItemDialog(frame);
        dialog.show();
        textPanel.add (new Label (dialog.getAmount()));
        textPanel.add (new Label (dialog.getItem()));
        frame.validate();
    }
    
    public void startApp() {
        frame.show();
    }

    public void pauseApp() {
    }
 

    public void destroyApp(boolean unconditional) {
        notifyDestroyed();
    }
}
