import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

class ClipDemoCanvas extends Canvas {

    public void paint (Graphics g) {
	g.setGrayScale (255);
	g.fillRect (0, 0, getWidth (), getHeight ());

	int m = Math.min (getWidth (), getHeight ());	
	g.setGrayScale (0);

	g.setStrokeStyle (Graphics.DOTTED);
	g.drawLine (0, 0, m, m);

	g.setClip (m / 4, m / 4, m / 2, m / 2);

	g.setStrokeStyle (Graphics.SOLID);
	g.drawLine (0, 0, m, m);
    }
}


public class ClipDemo extends MIDlet {

    public void startApp () {
	Display.getDisplay (this).setCurrent (new ClipDemoCanvas ()); 
    }

    public void pauseApp () {
    }
    
    public void destroyApp (boolean forced) {
    }

}
